#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gsettings-desktop-schemas-50.1

- Next

  librest-0.10.2

- Up
- Home

# libsecret-0.21.7

## Introduction to libsecret

The libsecret package contains a GObject based library for accessing the Secret Service API.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libsecret/0.21/libsecret-0.21.7.tar.xz

- Download MD5 sum: 7a938a802a3c17df441fbd0358866e99

- Download size: 204 KB

- Estimated disk space required: 11 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### libsecret Dependencies

#### Required

GLib-2.88.0 (GObject Introspection recommended)

#### Recommended

libgcrypt-1.12.2 (or GnuTLS-3.8.13, for cryptography), and Vala-0.56.19

#### Optional

Gi-DocGen-2026.1 and docbook-xml-4.5, docbook-xsl-nons-1.79.2, libxslt-1.1.45 (to build manual pages), Valgrind-3.26.0 (can be used in tests), and tpm2-tss (for TPM support)

#### Optional (Required for the test suite)

D-Bus Python-1.4.0, Gjs-1.88.0, and PyGObject-3.56.2

#### Required Runtime Dependency

gnome-keyring-50.0

### Note

Any package requiring libsecret expects GNOME Keyring to be present at runtime.

## Installation of libsecret

Install libsecret by running the following commands:

    mkdir bld &&
    cd    bld &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                ..                  &&
    ninja

If you have Gi-DocGen-2026.1 installed and wish to build the API documentation for this package, issue:

    sed "s/api_version_major/'0.21.7'/"            \
        -i ../docs/reference/libsecret/meson.build &&
    meson configure -D gtk_doc=true                &&
    ninja

Now, as the `root` user:

    ninja install

To test the results, issue: dbus-run-session ninja test.

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=false`: Allow building this package without Gi-DocGen-2026.1 installed. If you have Gi-DocGen-2026.1 installed and you wish to rebuild and install the API documentation, a meson configure command will reset this option.

`-D manpage=false`: Use this switch if you have not installed libxslt-1.1.45 and DocBook packages.

`-D crypto=gnutls`: Use this switch if you want to use GnuTLS-3.8.13 for cryptography instead of libgcrypt-1.12.2.

`-D crypto=disabled`: Use this switch if you don't have GnuTLS-3.8.13 or libgcrypt-1.12.2 installed. Note that disabling transport encryption support by doing this is not recommended.

## Contents

Installed Program: secret-tool
Installed Library: libsecret-1.so
Installed Directories: /usr/include/libsecret-1 and /usr/share/doc/libsecret-0.21.7

### Short Descriptions

secret-tool | is a command line tool that can be used to store and retrieve passwords
`libsecret-1.so` | contains the libsecret API functions

- Prev

  gsettings-desktop-schemas-50.1

- Next

  librest-0.10.2

- Up
- Home